### Method

# Cogl MatrixEntry get

#### Declaration [src]

    graphene_matrix_t*
    cogl_matrix_entry_get (
      CoglMatrixEntry* entry,
      graphene_matrix_t* matrix
    )

#### Description [src]

Resolves the current `entry` transform into a #graphene_matrix_t by combining the sequence of operations that have been applied to build up the current transform.

There are two possible ways that this function may return its result depending on whether it’s possible to directly point to an internal #graphene_matrix_t or whether the result needs to be composed of multiple operations.

If an internal matrix contains the required result then this function will directly return a pointer to that matrix, otherwise if the function returns `NULL` then `matrix` will be initialized to match the transform of `entry`.

`matrix` will be left untouched if a direct pointer is returned.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  The potential destination for the transform as a matrix.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `graphene_matrix_t`

A direct pointer to a #graphene_matrix_t transform or `NULL` and in that case `matrix` will be initialized with the effective transform represented by `entry`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.